Bug 665122 - No handlers could be found for logger "rhsm.certificate"
Summary: No handlers could be found for logger "rhsm.certificate"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 568421 Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-22 19:45 UTC by John Sefler
Modified: 2013-01-10 10:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2010-12-22 19:45:18 UTC
Description of problem:
When trying to subscribe to the "smart-100"/"Smart Management Add On" subscription on my local OnPremises server, I get:
  No handlers could be found for logger "rhsm.certificate"

Version-Release number of selected component (if applicable):
[root@jsefler-onprem01 ~]# rpm -qa | grep subscription-manager
subscription-manager-0.93.8-1.git.11.ec984f2.el6.x86_64
subscription-manager-gnome-0.93.8-1.git.11.ec984f2.el6.x86_64


How reproducible:


Steps to Reproduce:
[root@jsefler-onprem01 ~]# subscription-manager register --username=testuser1 --password=password
c9c1f024-64af-4f58-a78b-b483274c39a2 testuser1

[root@jsefler-onprem01 ~]# subscription-manager list --available | grep smart-100 -A3 -B1
ProductName:       	Smart Management Add On  
ProductId:         	smart-100                
PoolId:            	ff8080812d0f9025012d0f9139280251
Quantity:          	1000                     
Expires:           	2011-12-21               
--
ProductName:       	Smart Management Add On  
ProductId:         	smart-100                
PoolId:            	ff8080812d0f9025012d0f9139390252
Quantity:          	500                      
Expires:           	2011-12-21               

[root@jsefler-onprem01 ~]# subscription-manager subscribe --pool=ff8080812d0f9025012d0f9139280251
No handlers could be found for logger "rhsm.certificate"

HOWEVER AN ENTITLEMENT CERT IS INDEED DROPPED TO THE CLIENT, THEN I GET THE SAME WHEN UNSUBSCRIBING

[root@jsefler-onprem01 ~]# subscription-manager unsubscribe --all
No handlers could be found for logger "rhsm.certificate"




Additional info:

[root@jsefler-onprem01 ~]# openssl x509 -text -in /etc/pki/entitlement/1129304656919618.pem 
Certificate:
    Data:
        Version: 3 (0x2)
        Serial Number:
            04:03:18:ba:eb:3c:42
        Signature Algorithm: sha1WithRSAEncryption
        Issuer: CN=jsefler-f12-candlepin.usersys.redhat.com, C=US, L=Raleigh
        Validity
            Not Before: Dec 22 19:36:09 2010 GMT
            Not After : Dec 22 23:59:59 2011 GMT
        Subject: CN=ff8080812d0f9025012d0f94d8c20259
        Subject Public Key Info:
            Public Key Algorithm: rsaEncryption
                Public-Key: (2048 bit)
                Modulus:
                    00:bf:5d:70:1d:e0:0d:1c:03:b9:3e:65:f0:09:75:
                    f0:05:21:48:ce:51:c2:b8:4a:60:3b:b0:72:fe:43:
                    3e:23:80:87:09:00:c0:39:35:31:49:2f:d3:18:4c:
                    e5:f2:71:25:b9:10:6e:6a:81:7c:7c:ac:4c:8a:e2:
                    f3:6d:36:79:09:66:89:39:42:b3:30:cb:df:5e:05:
                    3d:5e:f5:96:6e:39:f6:66:13:08:c6:50:bd:3a:bc:
                    3d:ad:f6:b6:28:59:d3:35:89:76:1b:9c:13:7e:04:
                    df:2e:3b:ab:af:99:12:c3:e0:cb:b1:5a:8a:09:8e:
                    ce:1c:b5:01:e3:2c:03:87:97:ea:55:d2:5a:98:af:
                    7a:28:9c:89:44:85:ec:09:ad:e1:93:c5:2f:a6:2f:
                    29:2b:b4:70:87:a2:63:aa:26:2f:a7:8f:5b:9f:f0:
                    2a:d4:62:29:c9:a5:0b:1e:75:d3:b2:48:1f:12:05:
                    5e:fc:29:70:6f:40:a9:31:08:53:42:14:6a:60:37:
                    7b:8f:27:9b:7f:5d:c6:81:9c:65:91:bd:5b:82:60:
                    c4:45:35:97:e1:88:09:fd:d4:61:14:eb:e4:7c:5c:
                    71:3b:e3:af:de:74:48:d6:86:ab:43:24:44:64:b9:
                    9f:25:47:cb:2c:57:aa:cf:86:d9:a3:18:0b:c8:0a:
                    68:e5
                Exponent: 65537 (0x10001)
        X509v3 extensions:
            Netscape Cert Type: 
                SSL Client, S/MIME
            X509v3 Key Usage: 
                Digital Signature, Key Encipherment, Data Encipherment
            X509v3 Authority Key Identifier: 
                keyid:3B:D5:0B:60:F2:01:DB:4C:7E:C3:85:61:B6:30:4F:5C:E9:CE:CF:94
                DirName:/CN=jsefler-f12-candlepin.usersys.redhat.com/C=US/L=Raleigh
                serial:88:D1:DC:3F:15:B2:15:0E

            X509v3 Subject Key Identifier: 
                5C:7E:01:07:BC:C6:53:3D:4A:6B:12:37:23:61:52:85:71:7C:56:56
            X509v3 Extended Key Usage: 
                TLS Web Client Authentication
            1.3.6.1.4.1.2312.9.4.1: 
                ..Smart Management Add On
            1.3.6.1.4.1.2312.9.4.2: 
                . ff8080812d0f9025012d0f912d87012f
            1.3.6.1.4.1.2312.9.4.3: 
                ..smart-100
            1.3.6.1.4.1.2312.9.4.5: 
                ..10
            1.3.6.1.4.1.2312.9.4.6: 
                ..2010-12-22T00:00:00Z
            1.3.6.1.4.1.2312.9.4.7: 
                ..2011-12-22T23:59:59Z
            1.3.6.1.4.1.2312.9.4.12: 
                ..90
            1.3.6.1.4.1.2312.9.4.10: 
                ..79
            1.3.6.1.4.1.2312.9.4.13: 
                ..12331131231
            1.3.6.1.4.1.2312.9.4.14: 
                ..1
            1.3.6.1.4.1.2312.9.4.11: 
                ..1
            1.3.6.1.4.1.2312.9.5.1: 
                .$c9c1f024-64af-4f58-a78b-b483274c39a2
    Signature Algorithm: sha1WithRSAEncryption
        51:d8:a1:2e:3b:ac:14:21:d3:0c:7f:6d:a8:af:64:07:57:0b:
        fd:d0:2f:e8:c6:9d:82:00:24:9a:26:5a:26:7e:fe:5b:96:56:
        60:9f:3b:22:5a:79:9e:06:28:d9:a5:f1:d6:2e:89:99:69:a0:
        54:1d:de:aa:32:ca:c9:bd:54:83:3d:0e:1e:8a:88:3b:b5:02:
        62:aa:f3:38:38:72:cc:00:75:97:62:c3:a0:46:fe:d7:b9:c7:
        22:c3:3a:ad:33:51:5e:85:7a:ea:dd:f4:3d:f0:2f:f7:ea:a0:
        10:56:e3:9b:d4:f0:58:63:c5:59:0c:f3:45:c5:82:c3:42:cb:
        b2:2b
-----BEGIN CERTIFICATE-----
MIIE0zCCBDygAwIBAgIHBAMYuus8QjANBgkqhkiG9w0BAQUFADBSMTEwLwYDVQQD
DChqc2VmbGVyLWYxMi1jYW5kbGVwaW4udXNlcnN5cy5yZWRoYXQuY29tMQswCQYD
VQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaDAeFw0xMDEyMjIxOTM2MDlaFw0xMTEy
MjIyMzU5NTlaMCsxKTAnBgNVBAMMIGZmODA4MDgxMmQwZjkwMjUwMTJkMGY5NGQ4
YzIwMjU5MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAv11wHeANHAO5
PmXwCXXwBSFIzlHCuEpgO7By/kM+I4CHCQDAOTUxSS/TGEzl8nEluRBuaoF8fKxM
iuLzbTZ5CWaJOUKzMMvfXgU9XvWWbjn2ZhMIxlC9Orw9rfa2KFnTNYl2G5wTfgTf
Ljurr5kSw+DLsVqKCY7OHLUB4ywDh5fqVdJamK96KJyJRIXsCa3hk8Uvpi8pK7Rw
h6JjqiYvp49bn/Aq1GIpyaULHnXTskgfEgVe/Clwb0CpMQhTQhRqYDd7jyebf13G
gZxlkb1bgmDERTWX4YgJ/dRhFOvkfFxxO+Ov3nRI1oarQyREZLmfJUfLLFeqz4bZ
oxgLyApo5QIDAQABo4ICVDCCAlAwEQYJYIZIAYb4QgEBBAQDAgWgMAsGA1UdDwQE
AwIEsDCBggYDVR0jBHsweYAUO9ULYPIB20x+w4VhtjBPXOnOz5ShVqRUMFIxMTAv
BgNVBAMMKGpzZWZsZXItZjEyLWNhbmRsZXBpbi51c2Vyc3lzLnJlZGhhdC5jb20x
CzAJBgNVBAYTAlVTMRAwDgYDVQQHDAdSYWxlaWdoggkAiNHcPxWyFQ4wHQYDVR0O
BBYEFFx+AQe8xlM9SmsSNyNhUoVxfFZWMBMGA1UdJQQMMAoGCCsGAQUFBwMCMCcG
CisGAQQBkggJBAEEGQwXU21hcnQgTWFuYWdlbWVudCBBZGQgT24wMAYKKwYBBAGS
CAkEAgQiDCBmZjgwODA4MTJkMGY5MDI1MDEyZDBmOTEyZDg3MDEyZjAZBgorBgEE
AZIICQQDBAsMCXNtYXJ0LTEwMDASBgorBgEEAZIICQQFBAQMAjEwMCQGCisGAQQB
kggJBAYEFgwUMjAxMC0xMi0yMlQwMDowMDowMFowJAYKKwYBBAGSCAkEBwQWDBQy
MDExLTEyLTIyVDIzOjU5OjU5WjASBgorBgEEAZIICQQMBAQMAjkwMBIGCisGAQQB
kggJBAoEBAwCNzkwGwYKKwYBBAGSCAkEDQQNDAsxMjMzMTEzMTIzMTARBgorBgEE
AZIICQQOBAMMATEwEQYKKwYBBAGSCAkECwQDDAExMDQGCisGAQQBkggJBQEEJgwk
YzljMWYwMjQtNjRhZi00ZjU4LWE3OGItYjQ4MzI3NGMzOWEyMA0GCSqGSIb3DQEB
BQUAA4GBAFHYoS47rBQh0wx/baivZAdXC/3QL+jGnYIAJJomWiZ+/luWVmCfOyJa
eZ4GKNml8dYuiZlpoFQd3qoyysm9VIM9Dh6KiDu1AmKq8zg4cswAdZdiw6BG/te5
xyLDOq0zUV6Feurd9D3wL/fqoBBW45vU8FhjxVkM80XFgsNCy7Ir
-----END CERTIFICATE-----

# tail -f /var/log/rhsm/rhsm.log
2010-12-22 14:36:07,883 [INFO] _do_command() @managercli.py:439 - Info: Successfully subscribed the machine the Entitlement Pool ff8080812d0f9025012d0f9139280251
2010-12-22 14:36:08,544 [INFO] perform() @certlib.py:137 - certs updated:
Total updates: 1
Found (local) serial# []
Expected (UEP) serial# [1129304656919618]
Added (new)
  [sn:1129304656919618 (Smart Management Add On,) @ /etc/pki/entitlement/1129304656919618.pem]
Deleted (rogue):
  <NONE>
Expired (not deleted):
  <NONE>
Expired (deleted):
  <NONE>

Comment 2 John Sefler 2010-12-22 20:05:55 UTC
Similar output seen on the DEV2 environment:

ssh root@jsefler-dev2-1.usersys.redhat.com subscription-manager register --username=XEOPS --password=redhat --autosubscribe
Stdout: 1f661235-4a7f-415e-85bf-a5af3ea4c5c9 XEOPS
Stderr:
No handlers could be found for logger "rhsm.certificate"
'NoneType' object has no attribute 'getHash'
ExitCode: 255

Comment 3 John Sefler 2010-12-22 20:42:25 UTC
And this message re-appears in automation test results in other places too: 

ssh root@jsefler-dev2-1.usersys.redhat.com subscription-manager list --consumed
Stdout:
+-------------------------------------------+
Consumed Product Subscriptions
+-------------------------------------------+


ProductName: Red Hat Enterprise Linux, Basic (up to 2 sockets) 3 year
ContractNumber: 1442745
AccountNumber: 773563
SerialNumber: 171292997673204139
Active: True
Begins: 2008-11-20
Expires: 2011-11-19

Stderr: No handlers could be found for logger "rhsm.certificate"
ExitCode: 0
ssh root@jsefler-dev2-1.usersys.redhat.com ls -1 -v /etc/pki/entitlement/*.pem | grep -v key.pem
Stdout: /etc/pki/entitlement/171292997673204139.pem
Stderr:
ExitCode: 0

Comment 4 James Bowes 2010-12-22 21:06:27 UTC
dgoodwin has installed a default null handler for the lib, but we need to hook this up in the apps. this should involve replacing the logutil's getLogger with an initLogger that will set up the log file and the default handler, then having the modules use regular pythong logging to get their loggers.

Comment 5 Devan Goodwin 2011-01-07 18:53:06 UTC
Fixed in python-rhsm python-rhsm-0.94.12-1, commit 8361c7e7fe4bccb84319c98e887d40a26b1ab62d.

The issue of properly configuring loggers in subscription manager remains open.

Comment 6 James Bowes 2011-01-10 16:11:11 UTC
loggers are set up now. all logging from subscription-manager(-gui), and the yum plugins should still be going to /var/log/rhsm/rhsm.log

Comment 8 John Sefler 2011-02-28 19:03:54 UTC
Testing BETA version...
[root@jsefler-onprem01 ~]# rpm -q subscription-manager
subscription-manager-0.93.19-1.git.0.ed24ca5.el6.x86_64

[root@jsefler-onprem01 ~]# subscription-manager register --username=testuser1 --password=password
26acf812-dae8-4758-bc39-77463370e85d jsefler-onprem01.usersys.redhat.com
[root@jsefler-onprem01 ~]# subscription-manager list --available | grep smart-100 -A3 -B1
ProductName:       	Smart Management Add On  
ProductId:         	smart-100                
PoolId:            	ff8080812e6d3c9c012e6d3e10ae0212
Quantity:          	500                      
Expires:           	2012-02-27               
--
ProductName:       	Smart Management Add On  
ProductId:         	smart-100                
PoolId:            	ff8080812e6d3c9c012e6d3e10bd0214
Quantity:          	1000                     
Expires:           	2012-02-27               
[root@jsefler-onprem01 ~]# subscription-manager subscribe --pool=ff8080812e6d3c9c012e6d3e10bd0214
[root@jsefler-onprem01 ~]# subscription-manager unsubscribe --all
[root@jsefler-onprem01 ~]# 


^^ AS EXPECTED, WE DID NOT ENCOUNTER: No handlers could be found for logger "rhsm.certificate"

Comment 9 John Sefler 2011-02-28 20:03:24 UTC
forgot to include this in comment #8

[root@jsefler-onprem01 ~]# rpm -q python-rhsm
python-rhsm-0.94.16-1.git.0.1e21f52.el6.noarch

Comment 10 John Sefler 2011-02-28 20:03:56 UTC
Testing RHEL6 version...
[root@jsefler-onprem03 ~]# rpm -q subscription-manager
subscription-manager-0.95.3-1.git.0.5a24e74.el6.x86_64
[root@jsefler-onprem03 ~]# rpm -q python-rhsm
python-rhsm-0.95.3-1.git.0.4d0ef8e.el6.noarch


[root@jsefler-onprem03 ~]# subscription-manager register --username=testuser1 --password=password
01bea82f-75a5-4990-aee3-028c9f534918 jsefler-onprem03.usersys.redhat.com
[root@jsefler-onprem03 ~]# subscription-manager list --available | grep smart-100 -A3 -B1
[root@jsefler-onprem03 ~]# subscription-manager list --available | grep management -A3 -B1
ProductName:       	Management Add-On        
ProductId:         	management-100           
PoolId:            	8a90f8b42e6dd150012e6dd1d90b0143
Quantity:          	10000                    
Expires:           	2012-02-27               
--
ProductName:       	Management Add-On        
ProductId:         	management-100           
PoolId:            	8a90f8b42e6dd150012e6dd1d8df0142
Quantity:          	20000                    
Expires:           	2012-02-27               
[root@jsefler-onprem03 ~]# subscription-manager subscribe --pool=8a90f8b42e6dd150012e6dd1d90b0143
[root@jsefler-onprem03 ~]# subscription-manager unsubscribe --all

^^ AS EXPECTED, WE DID NOT ENCOUNTER: No handlers could be found for logger
"rhsm.certificate"

Comment 11 John Sefler 2011-02-28 20:04:48 UTC
moving to VERIFIED based on comment #8 comment #9 comment #10

Comment 12 errata-xmlrpc 2011-05-19 13:38:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.